<template>
    <div class="text-center">
        <b-card no-body>

            <template #header>
                <b-row class="m-md-2">
                    <b-col class="text-left">
                        <b-button variant="primary" @click="mode = 'create'" v-b-modal.todo-modal>Yeni Ekle</b-button>
                    </b-col>
                    <b-col class="text-center">
                        <h4>Yapılacaklar Listesi</h4>
                    </b-col>
                    <b-col class="text-right">
                        <b-dropdown variant="primary" :text="$auth.user().name">
                            <b-dropdown-divider></b-dropdown-divider>
                            <b-dropdown-item @click="$auth.logout()">Çıkış Yap</b-dropdown-item>
                        </b-dropdown>
                    </b-col>
                </b-row>
            </template>

            <b-card-body class="tb-content">
                <list  @updateModal="openTodoModal('update', $event)"></list>
            </b-card-body>

            <template #footer>
                <div class="text-right">
                    <span class="text-muted">2021</span>
                </div>
            </template>

        </b-card>

        <todo-modal :mode="mode" :todo="selectedTodo" @refresh="$refs.todoTable.refresh()"></todo-modal>

        <vue-confirm-dialog/>
    </div>
</template>

<script>
import List from "./components/List";
import TodoModal from "./components/TodoModal";
export default {
    name: "Index",
    components: {List, TodoModal},
    data() {
        return {
            mode: '',
            selectedTodo: {}
        }
    },
    methods: {
        openTodoModal(mode, todo) {
            if (mode === 'update') {
                this.selectedTodo = todo
            }
            this.mode = mode
            this.$bvModal.show('todo-modal')
        }
    }
}
</script>
